[sci-chemistry/ambertools] Initial import to tree
authorAlexey Shvetsov <alexxy@gentoo.org>
Thu, 28 Jul 2011 13:19:06 +0000 (13:19 +0000)
committerAlexey Shvetsov <alexxy@gentoo.org>
Thu, 28 Jul 2011 13:19:06 +0000 (13:19 +0000)
Package-Manager: portage-2.2.0_alpha47/cvs/Linux x86_64

sci-chemistry/ambertools/ChangeLog [new file with mode: 0644]
sci-chemistry/ambertools/Manifest [new file with mode: 0644]
sci-chemistry/ambertools/ambertools-1.5-r1.ebuild [new file with mode: 0644]
sci-chemistry/ambertools/files/ambertools-1.5-gentoo.patch [new file with mode: 0644]
sci-chemistry/ambertools/metadata.xml [new file with mode: 0644]

diff --git a/sci-chemistry/ambertools/ChangeLog b/sci-chemistry/ambertools/ChangeLog
new file mode 100644 (file)
index 0000000..b7e173c
--- /dev/null
@@ -0,0 +1,10 @@
+# ChangeLog for sci-chemistry/ambertools
+# Copyright 1999-2011 Gentoo Foundation; Distributed under the GPL v2
+# $Header: /var/cvsroot/gentoo-x86/sci-chemistry/ambertools/ChangeLog,v 1.1 2011/07/28 13:19:06 alexxy Exp $
+
+*ambertools-1.5-r1 (28 Jul 2011)
+
+  28 Jul 2011; Alexey Shvetsov <alexxy@gentoo.org> +ambertools-1.5-r1.ebuild,
+  +files/ambertools-1.5-gentoo.patch, +metadata.xml:
+  Initial import to tree
+
diff --git a/sci-chemistry/ambertools/Manifest b/sci-chemistry/ambertools/Manifest
new file mode 100644 (file)
index 0000000..6eb3815
--- /dev/null
@@ -0,0 +1,26 @@
+-----BEGIN PGP SIGNED MESSAGE-----
+Hash: SHA256
+
+AUX ambertools-1.5-gentoo.patch 14083 RMD160 762c52626c4eda51839caf74c001bb660052706a SHA1 ab0afa1f5b73569539515dba4cf6638a594c7d6e SHA256 82a83f660701c192272e79f5bab17a8a8be945d78fdab454ade3918281749922
+DIST AmberTools-1.5.tar.bz2 121062582 RMD160 4a086b42c378f0904f7bf0b16adb042f1677be55 SHA1 92e47e7337fb4901a5a145d808c5ffd42c82d08d SHA256 0c7d397d2e91603bb9123ae68e91af3525269e60800ced360f68c13350651d7c
+DIST ambertools-1.5-bugfix_1-10.patch.xz 31708 RMD160 6366e6cae9084a2de96102fc75049bc982a23bfa SHA1 248f088131e8f0efa6d61ae3afbff64571551032 SHA256 5773aaa8a2478ad478f0f3afafaa39669002c31ebe755c0d12ff277ce9ab8352
+EBUILD ambertools-1.5-r1.ebuild 3449 RMD160 4ee2605db780b42f3520f46f15252847c8242b5c SHA1 ac97a15b0c0d5bffd188ef42a0b6c4585c5d50cc SHA256 6247e62fdf956d4cec5b5f1b96f711423bd0865223db76504a3209de4f0a4a8a
+MISC ChangeLog 412 RMD160 353fda1fafb8bc0a6f6a9e87f6be59d130726e6f SHA1 dffd1dbbfe13ea206620ecef356045236f1a25c2 SHA256 7e6be84c28c9ced36de8cf048e5c15e5dd1b5ca5f5e79c0293d25c5df9f241e7
+MISC metadata.xml 263 RMD160 9484584cc295931e963dc785e211261f68e48c82 SHA1 a2c5af57c8eb879a4249fc0240432a4fc5b91ca5 SHA256 0e94df6d8502bc41ccd18ec4d570490e245c08595e837fd116a255458939e69b
+-----BEGIN PGP SIGNATURE-----
+Version: GnuPG v2.0.17 (GNU/Linux)
+
+iQIcBAEBCAAGBQJOMWHIAAoJEOf+E+/4L5Lm+FcQAJ8lq4luTC9UnK7hWOdb/zTb
+S1UCjRttqvAGMku+1SZFIFxHUVNQ8HRJZRQoUO6y7ovDexdn4MT06aI/wrH6sY6k
+HSll4oXDzUXPEBJlJHKfdWbzG+ZKCOAaR1HCGtk3vex2XZHumRz6aTZT1TVV8zF7
+xv7XpqTNKRlogBcjf+o57pMg/h+wNXDTADNXQaj6pBDUnJCiCul69LHCIaGoJtzb
+2sBg6AMCEay4on9MQwhhpJrXS0YCBqZGbrTZ0GKHRTtrp3WrkvaKnqmOmBKuaK6+
+1Vvdu2Pt7oCEDwrBckUckyU4hM9KpiM2AoKajPdl2CaU2WC5rHUUCE8Vk+aUBQen
+Q3/uiYkXDyrWIuDGL1Ss3xvnt4OJXrEh+vIMoxJ5Jw1mGtyebGm/dgmXRjr0MKo3
+a1o5fdjioonP23BSdcRUaZdzbetMLiuVWXdss5PTi7ZgizCHQZDa7onslqzkmC+Q
+OG3/S9goHPQ6rWn2CkbeoP2kq5tmWs9WC9umJlTTN7xKb/95q8+KhFarPl/5pB64
+gu07QxUdy8HuQNVR45llq6mWYu1fkNYHXRjfvMyggzJOFHjlftIWz/ezPVOY7cZq
+xpMH8ZfR8HJWuLBWqcN9NFcdr5raKCg4qh540Rb6NDuxR3OAYQOvWbKm0ZDoCwj3
+riO75GMYF6XE0en1UsFg
+=mIEM
+-----END PGP SIGNATURE-----
diff --git a/sci-chemistry/ambertools/ambertools-1.5-r1.ebuild b/sci-chemistry/ambertools/ambertools-1.5-r1.ebuild
new file mode 100644 (file)
index 0000000..a142966
--- /dev/null
@@ -0,0 +1,140 @@
+# Copyright 1999-2011 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/sci-chemistry/ambertools/ambertools-1.5-r1.ebuild,v 1.1 2011/07/28 13:19:06 alexxy Exp $
+
+EAPI=4
+
+inherit eutils fortran-2 toolchain-funcs
+
+DESCRIPTION="A suite for carrying out complete molecular mechanics investigations"
+HOMEPAGE="http://ambermd.org/#AmberTools"
+SRC_URI="
+       AmberTools-${PV}.tar.bz2
+       mirror://gentoo/${P}-bugfix_1-10.patch.xz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="mpi openmp X"
+
+RESTRICT="fetch"
+
+RDEPEND="
+       virtual/cblas
+       virtual/lapack
+       sci-libs/clapack
+       sci-libs/arpack
+       sci-libs/cifparse-obj
+       sci-chemistry/mopac7
+       sci-libs/netcdf
+       sci-libs/fftw:2.1
+       sci-chemistry/reduce
+       virtual/fortran"
+DEPEND="${RDEPEND}
+       dev-util/byacc
+       dev-libs/libf2c
+       sys-devel/ucpp"
+S="${WORKDIR}/amber11"
+
+pkg_nofetch() {
+       einfo "Go to ${HOMEPAGE} and get ${A}"
+       einfo "Place it in ${DISTDIR}"
+}
+
+pkg_setup() {
+       fortran-2_pkg_setup
+       if use openmp; then
+               tc-has-openmp || \
+                       die "Please select an openmp capable compiler like gcc[openmp]"
+       fi
+       AMBERHOME="${S}"
+}
+
+src_prepare() {
+       epatch \
+               "${WORKDIR}/${P}-bugfix_1-10.patch" \
+               "${FILESDIR}/${P}-gentoo.patch"
+       cd AmberTools/src
+       rm -r arpack blas lapack fftw-2.1.5 c9x-complex cifparse netcdf pnetcdf reduce ucpp-1.3 || die
+}
+
+src_configure() {
+       cd AmberTools/src
+       sed -e "s:\\\\\$(LIBDIR)/arpack.a:-larpack:g" \
+               -e "s:\\\\\$(LIBDIR)/lapack.a:$(pkg-config lapack --libs) -lclapack:g" \
+               -e "s:\\\\\$(LIBDIR)/blas.a:$(pkg-config blas cblas --libs):g" \
+               -e "s:\\\\\$(LIBDIR)/libdrfftw.a:${EPREFIX}/usr/$(get_libdir)/libdrfftw.a:g" \
+               -e "s:\\\\\$(LIBDIR)/libdfftw.a:${EPREFIX}/usr/$(get_libdir)/libdrfftw.a:g" \
+               -e "s:CFLAGS=:CFLAGS=${CFLAGS} -DBINTRAJ :g" \
+               -e "s:FFLAGS=:FFLAGS=${FFLAGS} :g" \
+               -e "s:LDFLAGS=$ldflags:LDFLAGS=${LDFLAGS}:g" \
+               -e "s:fc=g77:fc=$(tc-getFC):g" \
+               -e "s:\$netcdflib:$(pkg-config netcdf --libs):g" \
+               -e "s:NETCDF=\$netcdf:NETCDF=netcdf.mod:g" \
+               -e "s:-O3::g" \
+               -i configure || die
+       sed -e "s:arsecond_:arscnd_:g" \
+               -i sff/time.c \
+               -i sff/sff.h \
+               -i sff/sff.c || die
+       sed -e "s:\$(NAB):\$(NAB) -lrfftw:g" \
+               -i nss/Makefile || die
+
+       local myconf
+
+       use X || myconf="${myconf} -noX11"
+
+       for x in mpi openmp; do
+               use ${x} && myconf="${myconf} -${x}"
+       done
+
+       ./configure \
+               ${myconf} \
+               -nobintraj \
+               -nomdgx \
+               -nopython \
+               -nomtkpp \
+               gnu
+#      $(expr match "$(tc-getCC)" '.*\([a-z]cc\)')
+}
+
+src_compile() {
+       cd AmberTools/src
+       emake || die
+}
+
+src_install() {
+       rm -r bin/chemistry bin/MMPBSA_mods
+       rm bin/ante-MMPBSA.py bin/extractFrcmod.py
+       for x in bin/*
+               do dobin ${x} || die
+       done
+       rm "${ED}/usr/bin/yacc"
+       dobin AmberTools/src/antechamber/mopac.sh
+       sed -e "s:\$AMBERHOME/bin/mopac:mopac7:g" \
+               -i "${ED}/usr/bin/mopac.sh" || die
+       # Make symlinks untill binpath for amber will be fixed
+       dodir /usr/share/${PN}/bin
+       cd "${ED}/usr/bin"
+       for x in *
+               do dosym /usr/bin/${x} /usr/share/${PN}/bin/${x}
+       done
+       cd "${S}"
+#      sed -e "s:\$AMBERHOME/dat:\$AMBERHOME/share/ambertools/dat:g" \
+#              -i "${ED}/usr/bin/xleap" \
+#              -i "${ED}/usr/bin/tleap" || die
+       dodoc doc/AmberTools.pdf doc/leap_pg.pdf
+       dolib.a lib/*
+       insinto /usr/include/${PN}
+       doins include/*
+       insinto /usr/share/${PN}
+       doins -r dat
+       cd AmberTools
+       doins -r benchmarks
+       doins -r examples
+       doins -r test
+       cat >> "${T}"/99ambertools <<- EOF
+       AMBERHOME="${EPREFIX}/usr/share/ambertools"
+       EOF
+       doenvd "${T}"/99ambertools
+}
diff --git a/sci-chemistry/ambertools/files/ambertools-1.5-gentoo.patch b/sci-chemistry/ambertools/files/ambertools-1.5-gentoo.patch
new file mode 100644 (file)
index 0000000..0e41d26
--- /dev/null
@@ -0,0 +1,386 @@
+diff -urN amber11.orig/AmberTools/src/configure amber11/AmberTools/src/configure
+--- amber11.orig/AmberTools/src/configure      2011-04-14 15:30:55.000000000 +0300
++++ amber11/AmberTools/src/configure   2011-06-04 12:26:45.000000000 +0300
+@@ -293,7 +293,8 @@
+    echo "Your AMBERHOME environment variable is not set! It should be set to"
+    echo "$ambhome  NOT doing so may cause errors when you compile. Continue"
+    echo "anyway? (yes or no)"
+-   read answer
++   #read answer
++   answer='yes'
+    if [ "$answer" = 'yes' -o "$answer" = 'Yes' -o "$answer" = 'YES' -o "$answer" = 'y' -o "$answer" = 'Y' ]; then
+       echo ""
+       echo "Continuing anyway... Setting AMBERHOME to $ambhome temporarily"
+@@ -356,11 +357,11 @@
+ mpi_flag=
+ lex=flex
+ flibs_mkl=
+-lapack=install
+-blas=install
++lapack=skip
++blas=skip
+ f2c=skip
+-ucpp=install
+-cpp="\$(BINDIR)/ucpp -l"
++ucpp=skip
++cpp="\$(EPREFIX)/usr/bin/ucpp -l"
+ 
+ #-----------------------------------
+ # skip building of sleap?
+@@ -1655,24 +1656,24 @@
+   #--------------------------------------------------------------------------
+   #  Configure fftw-3.2.2:
+   #--------------------------------------------------------------------------
+-  if [ "$mdgx" = 'yes' ]; then
+-      mdgxflag="--prefix=$AMBERHOME --disable-fortran" 
+-      echo
+-      echo "Configuring fftw-3.2.2 (may be time-consuming)..."
+-      echo
+-      cd fftw-3.2.2 && \
+-      env CC="$cc" CFLAGS="$cflags $cnooptflags" \
+-          ./configure $mdgxflag > ../fftw3_config.log 2>&1
+-      ncerror=$?
+-      if [ $ncerror -gt 0 ]; then
+-          echo "    Error: FFTW configure returned $ncerror"
+-          echo "    FFTW configure failed! Check the fftw3_config.log file."
+-          exit 1
+-      else
+-          echo "    fftw-3.2.2 configure succeeded."
+-      fi
+-      cd ..
+-  fi
++  #if [ "$mdgx" = 'yes' ]; then
++  #    mdgxflag="--prefix=$AMBERHOME --disable-fortran" 
++  #    echo
++  #    echo "Configuring fftw-3.2.2 (may be time-consuming)..."
++  #    echo
++  #    cd fftw-3.2.2 && \
++  #    env CC="$cc" CFLAGS="$cflags $cnooptflags" \
++  #        ./configure $mdgxflag > ../fftw3_config.log 2>&1
++  #    ncerror=$?
++  #    if [ $ncerror -gt 0 ]; then
++  #        echo "    Error: FFTW configure returned $ncerror"
++  #        echo "    FFTW configure failed! Check the fftw3_config.log file."
++  #        exit 1
++  #    else
++  #        echo "    fftw-3.2.2 configure succeeded."
++  #    fi
++  #    cd ..
++  #fi
+ 
+   #--------------------------------------------------------------------------
+   #  Configure python
+@@ -1792,27 +1793,27 @@
+           echo
+           echo "Configuring fftw-2.1.5 (may be time-consuming)..."
+           echo
+-          cd fftw-2.1.5
+-          if [ "$mpi" = 'yes' ]; then
+-              ./configure $rismflag --enable-mpi \
+-              CC="$cc" CFLAGS="$cflags $coptflags" \
+-              F77="$fc" FFLAGS="$fflags $foptflags" \
+-                  FLIBS="$flibs_arch" > ../fftw2_config.log 2>&1
+-          else
+-              ./configure $rismflag \
+-              CC="$cc" CFLAGS="$cflags $coptflags" \
+-              F77="$fc" FFLAGS="$fflags $foptflags" \
+-                  FLIBS="$flibs_arch" > ../fftw2_config.log 2>&1
+-          fi
+-          ncerror=$?
+-          if [ $ncerror -gt 0 ]; then
+-              echo "    Error: fftw configure returned $ncerror"
+-              echo "    fftw configure failed!  Check the fftw2_config.log file."
+-              exit 1
+-          else
+-              echo "    fftw-2.1.5 configure succeeded."
+-          fi
+-          cd ..
++  #        cd fftw-2.1.5
++  #        if [ "$mpi" = 'yes' ]; then
++  #            ./configure $rismflag --enable-mpi \
++  #            CC="$cc" CFLAGS="$cflags $coptflags" \
++  #            F77="$fc" FFLAGS="$fflags $foptflags" \
++  #                FLIBS="$flibs_arch" > ../fftw2_config.log 2>&1
++  #        else
++  #            ./configure $rismflag \
++  #            CC="$cc" CFLAGS="$cflags $coptflags" \
++  #            F77="$fc" FFLAGS="$fflags $foptflags" \
++  #                FLIBS="$flibs_arch" > ../fftw2_config.log 2>&1
++  #        fi
++  #        ncerror=$?
++  #        if [ $ncerror -gt 0 ]; then
++  #            echo "    Error: fftw configure returned $ncerror"
++  #            echo "    fftw configure failed!  Check the fftw2_config.log file."
++  #            exit 1
++  #        else
++  #            echo "    fftw-2.1.5 configure succeeded."
++  #        fi
++  #        cd ..
+           flibs_fftw2="-ldrfftw -ldfftw"
+           if [ "$mpi" = 'yes' ]; then
+               flibs_fftw2="-ldrfftw_mpi -ldfftw_mpi $flibs_fftw2"
+diff -urN amber11.orig/AmberTools/src/cpptraj/src/Makefile_at amber11/AmberTools/src/cpptraj/src/Makefile_at
+--- amber11.orig/AmberTools/src/cpptraj/src/Makefile_at        2011-04-14 15:30:16.000000000 +0300
++++ amber11/AmberTools/src/cpptraj/src/Makefile_at     2011-05-20 00:45:48.000000000 +0300
+@@ -65,8 +65,8 @@
+       -/bin/rm FindDepend.o
+       -/bin/rm findDepend
+ 
+-cpptraj$(SFX): $(NETCDFLIB) $(OBJECTS)
+-      $(CXX) $(LDFLAGS) -o cpptraj$(SFX) $(OBJECTS) $(NETCDFLIB) $(ZLIB) $(BZLIB)
++cpptraj$(SFX): $(OBJECTS)
++      $(CXX) $(LDFLAGS) -o cpptraj$(SFX) $(OBJECTS) $(NETCDFLIB) $(ZLIB) $(BZLIB) -lgomp
+ 
+ $(NETCDFLIB): ../../netcdf_config.log
+       cd ../../netcdf/src && $(MAKE) install
+diff -urN amber11.orig/AmberTools/src/Makefile amber11/AmberTools/src/Makefile
+--- amber11.orig/AmberTools/src/Makefile       2011-04-14 15:30:12.000000000 +0300
++++ amber11/AmberTools/src/Makefile    2011-05-19 23:36:36.000000000 +0300
+@@ -8,15 +8,15 @@
+ 
+ install: $(INSTALLTYPE)
+ 
+-serial: configured_serial $(NETCDFLIB) $(PYINSTALL) $(MTKPP)
++serial: configured_serial
+       @echo "Starting installation of ${AMBERTOOLS} serial at `date`".
+ #     utility routines and libraries:
+-      (cd ucpp-1.3 && $(MAKE) $(UCPP) )
++#     (cd ucpp-1.3 && $(MAKE) $(UCPP) )
+       (cd byacc && $(MAKE) install )
+-      (cd arpack && $(MAKE) install );
+-      (cd lapack && $(MAKE) $(LAPACK) )
+-      (cd blas && $(MAKE) $(BLAS) )
+-      (cd c9x-complex && $(MAKE) $(C9XCOMPLEX) )
++#     (cd arpack && $(MAKE) install );
++#     (cd lapack && $(MAKE) $(LAPACK) )
++#     (cd blas && $(MAKE) $(BLAS) )
++#     (cd c9x-complex && $(MAKE) $(C9XCOMPLEX) )
+       (cd etc && $(MAKE) install )
+       (cd chamber && $(MAKE) install )
+       (cd pbsa && $(MAKE) install )
+@@ -32,7 +32,7 @@
+       (cd cpptraj && $(MAKE) $(CPPTRAJ))
+ 
+ #   miscellaneous:
+-      (cd reduce && $(MAKE) install )
++#     (cd reduce && $(MAKE) install )
+ 
+ #   leap and gleap:
+       (cd leap && $(MAKE) install )
+@@ -42,7 +42,7 @@
+       (cd rism && $(MAKE) install )
+ 
+ #   nab:
+-      (cd cifparse && $(MAKE) install )
++#     (cd cifparse && $(MAKE) install )
+       (cd sff && $(MAKE) install )
+       (cd pbsa && $(MAKE) libinstall )
+       (cd nab && $(MAKE) install )
+@@ -63,19 +63,19 @@
+       @echo "Installation of ${AMBERTOOLS} serial is complete at `date`."
+       @echo ""
+ 
+-nabonly: $(NETCDFLIB) 
++nabonly:
+ #     utility routines and libraries:
+-      (cd ucpp-1.3 && $(MAKE) $(UCPP) )
++#     (cd ucpp-1.3 && $(MAKE) $(UCPP) )
+       (cd byacc && $(MAKE) install )
+-      (cd arpack && $(MAKE) install );
+-      (cd lapack && $(MAKE) $(LAPACK) )
+-      (cd blas && $(MAKE) $(BLAS) )
+-      (cd c9x-complex && $(MAKE) $(C9XCOMPLEX) )
++#     (cd arpack && $(MAKE) install );
++#     (cd lapack && $(MAKE) $(LAPACK) )
++#     (cd blas && $(MAKE) $(BLAS) )
++#     (cd c9x-complex && $(MAKE) $(C9XCOMPLEX) )
+       (cd pbsa && $(MAKE) libinstall )
+       (cd rism && $(MAKE) install )
+ 
+ #     nab:
+-      (cd cifparse && $(MAKE) install )
++#     (cd cifparse && $(MAKE) install )
+       (cd sff && $(MAKE) install )
+       (cd nab && $(MAKE) install )
+       (cd nss && $(MAKE) install )
+diff -urN amber11.orig/AmberTools/src/mdgx/Makefile amber11/AmberTools/src/mdgx/Makefile
+--- amber11.orig/AmberTools/src/mdgx/Makefile  2011-04-14 15:30:17.000000000 +0300
++++ amber11/AmberTools/src/mdgx/Makefile       2011-05-20 12:44:38.000000000 +0300
+@@ -109,7 +109,7 @@
+ 
+ FFTW_LIBS = $(LIBDIR)/libfftw3.a
+ 
+-mdgx$(SFX) : $(MDGX_OBJS) $(FFTW_LIBS) $(NETCDFLIB)
++mdgx$(SFX) : $(MDGX_OBJS)
+       $(CC) $(COPTFLAGS) $(CFLAGS) $(AMBERCFLAGS) \
+       -o $@ $(MDGX_OBJS) $(FFTW_LIBS) $(NETCDFLIB) $(LM)
+ 
+diff -urN amber11.orig/AmberTools/src/pbsa/Makefile amber11/AmberTools/src/pbsa/Makefile
+--- amber11.orig/AmberTools/src/pbsa/Makefile  2011-04-14 15:30:19.000000000 +0300
++++ amber11/AmberTools/src/pbsa/Makefile       2011-05-19 22:27:40.000000000 +0300
+@@ -148,7 +148,7 @@
+       )
+ 
+ #---------------------------------------------------------------------------
+-pbsa$(SFX): $(OBJ) syslib netlib c9x-complex configured_serial
++pbsa$(SFX): $(OBJ) syslib configured_serial
+       $(FC) $(FFLAGS) $(AMBERFFLAGS) -o pbsa$(SFX) $(OBJ) \
+               ../lib/nxtsec.o ../lib/random.o \
+               $(FLIBSF) $(LDFLAGS) $(AMBERLDFLAGS)
+@@ -158,7 +158,7 @@
+               ../lib/nxtsec.o ../lib/random.o \
+               $(FLIBSF) $(LDFLAGS) $(AMBERLDFLAGS)
+ 
+-simplepbsa$(SFX): simplepbsa.o gopt.o libpbsa.a sfflib syslib netlib c9x-complex
++simplepbsa$(SFX): simplepbsa.o gopt.o libpbsa.a sfflib syslib
+       $(FC) $(FFLAGS) $(AMBERFFLAGS) -o simplepbsa$(SFX) simplepbsa.o gopt.o \
+               libpbsa.a $(LIBDIR)/libsff.a ../lib/nxtsec.o $(FLIBSF) \
+               $(LDFLAGS) $(AMBERLDFLAGS)
+@@ -194,15 +194,15 @@
+ sfflib:
+       cd ../sff && $(MAKE) install
+ 
+-netlib: 
+-      cd ../lapack && $(MAKE) $(LAPACK)
+-      cd ../blas && $(MAKE) $(BLAS)
+-      cd ../arpack && $(MAKE) install
+-
+-c9x-complex:
+-      @if test $(C9XCOMPLEX) != "skip"; then \
+-         cd ../c9x-complex && $(MAKE) libmc.a; \
+-       fi
++#netlib: 
++#     cd ../lapack && $(MAKE) $(LAPACK)
++#     cd ../blas && $(MAKE) $(BLAS)
++#     cd ../arpack && $(MAKE) install
++
++#c9x-complex:
++#     @if test $(C9XCOMPLEX) != "skip"; then \
++#        cd ../c9x-complex && $(MAKE) libmc.a; \
++#      fi
+ 
+ %.LIBPBSA.o: %.f
+       $(FPP) $(FPPFLAGS) $(AMBERFPPFLAGS) -DLIBPBSA $< > _$<
+diff -urN amber11.orig/AmberTools/src/ptraj/Makefile amber11/AmberTools/src/ptraj/Makefile
+--- amber11.orig/AmberTools/src/ptraj/Makefile 2011-04-14 15:30:19.000000000 +0300
++++ amber11/AmberTools/src/ptraj/Makefile      2011-05-19 23:38:36.000000000 +0300
+@@ -57,25 +57,25 @@
+ pubfft.o:  pubfft.f
+       $(FC) -c $(FREEFORMAT_FLAG) $(FOPTFLAGS) $(FFLAGS) $(AMBERFFLAGS) -o $@ $<
+ 
+-rdparm$(SFX): libs $(NETCDFLIB) $(OBJECTS)
++rdparm$(SFX): libs $(OBJECTS)
+       $(CC) $(CFLAGS) $(AMBERCFLAGS) $(LDFLAGS) $(AMBERLDFLAGS) \
+               -o rdparm$(SFX) $(OBJECTS) $(LIBS) $(NETCDFLIB) $(LM)
+ 
+-ptraj$(SFX): libs netlib $(NETCDFLIB) $(OBJECTS)
++ptraj$(SFX): libs $(OBJECTS)
+       $(CC) $(CFLAGS) $(AMBERCFLAGS) $(LDFLAGS) $(AMBERLDFLAGS) \
+               -o ptraj$(SFX) $(OBJECTS) $(LIBS) $(NETCDFLIB) $(LM)
+ 
+-ptraj.MPI$(SFX): libs netlib $(PNETCDFLIB) $(OBJECTS)
++ptraj.MPI$(SFX): libs $(PNETCDFLIB) $(OBJECTS)
+       $(CC) $(CFLAGS) $(AMBERCFLAGS) $(LDFLAGS) $(AMBERLDFLAGS) \
+               -o ptraj.MPI$(SFX) $(OBJECTS) $(LIBS) $(PNETCDFLIB) $(LM)
+ 
+ libs: 
+       cd pdb && $(MAKE) 
+-      cd ../arpack && $(MAKE)
++#     cd ../arpack && $(MAKE)
+ 
+-netlib:
+-      cd ../lapack && $(MAKE) $(LAPACK)
+-      cd ../blas && $(MAKE) $(BLAS)
++#netlib:
++#     cd ../lapack && $(MAKE) $(LAPACK)
++#     cd ../blas && $(MAKE) $(BLAS)
+ 
+ clean:
+       cd pdb && $(MAKE) clean
+diff -urN amber11.orig/AmberTools/src/ptraj/netcdf_ptraj.h amber11/AmberTools/src/ptraj/netcdf_ptraj.h
+--- amber11.orig/AmberTools/src/ptraj/netcdf_ptraj.h   2011-04-14 15:30:19.000000000 +0300
++++ amber11/AmberTools/src/ptraj/netcdf_ptraj.h        2011-05-19 22:30:43.000000000 +0300
+@@ -4,7 +4,7 @@
+ #    include "../../include/pnetcdf.h"
+ #    define nc_strerror ncmpi_strerror
+ #  else
+-#    include "../../include/netcdf.h"
++#    include <netcdf.h>
+ #  endif 
+ #endif
+ 
+diff -urN amber11.orig/AmberTools/src/ptraj/ptraj.h amber11/AmberTools/src/ptraj/ptraj.h
+--- amber11.orig/AmberTools/src/ptraj/ptraj.h  2011-04-14 15:30:19.000000000 +0300
++++ amber11/AmberTools/src/ptraj/ptraj.h       2011-06-04 13:25:01.000000000 +0300
+@@ -94,7 +94,7 @@
+ #define nc_strerror ncmpi_strerror
+ #include "../../include/pnetcdf.h"
+ #else
+-#include "../../include/netcdf.h"
++#include <netcdf.h>
+ #endif
+ #endif
+ 
+diff -urN amber11.orig/AmberTools/src/rism/Makefile amber11/AmberTools/src/rism/Makefile
+--- amber11.orig/AmberTools/src/rism/Makefile  2011-04-14 15:30:19.000000000 +0300
++++ amber11/AmberTools/src/rism/Makefile       2011-05-20 01:07:26.000000000 +0300
+@@ -49,7 +49,7 @@
+       mdiis_orig_c.o mdiis_blas_c.o mdiis_blas2_c.o mdiis_c.o \
+       fce_c.o erfcfun.o safemem.o blend.o timer_c.o
+ 
+-librism: $(LIBOBJ) $(FLIBS_FFTW2)
++librism: $(LIBOBJ)
+       $(AR) $(LIBDIR)/$@.a $(LIBOBJ)
+       $(RANLIB) $(LIBDIR)/$@.a
+ 
+diff -urN amber11.orig/AmberTools/src/sff/AmberNetcdf.c amber11/AmberTools/src/sff/AmberNetcdf.c
+--- amber11.orig/AmberTools/src/sff/AmberNetcdf.c      2011-04-14 15:30:19.000000000 +0300
++++ amber11/AmberTools/src/sff/AmberNetcdf.c   2011-05-20 10:49:06.000000000 +0300
+@@ -27,7 +27,7 @@
+ #endif
+     
+ #ifdef BINTRAJ
+-#include "../../include/netcdf.h"
++#include <netcdf.h>
+ 
+ #define NCFRAME "frame"
+ #define NCSPATIAL "spatial"
+diff -urN amber11.orig/AmberTools/src/sff/Makefile amber11/AmberTools/src/sff/Makefile
+--- amber11.orig/AmberTools/src/sff/Makefile   2011-04-14 15:30:19.000000000 +0300
++++ amber11/AmberTools/src/sff/Makefile        2011-05-20 09:53:27.000000000 +0300
+@@ -1,7 +1,7 @@
+ include ../config.h
+ 
+ .c.o:
+-      $(CC) -c -Dflex $(COPTFLAGS) $(CFLAGS) $(AMBERCFLAGS) $(RISMSFF) -o $@ $<
++      $(CC) -c -Dflex $(COPTFLAGS) $(CFLAGS) $(AMBERCFLAGS) $(RISMSFF) $(NETCDFLIB) -o $@ $<
+ 
+ OBJS = binpos.o conjgrad.o lmodC.o memutil.o nblist.o newton.o nmode.o \
+       prm.o rand2.o sasad.o sff.o time.o xminC.o AmberNetcdf.o \
+diff -urN amber11.orig/AmberTools/src/sqm/Makefile amber11/AmberTools/src/sqm/Makefile
+--- amber11.orig/AmberTools/src/sqm/Makefile   2011-04-14 15:30:20.000000000 +0300
++++ amber11/AmberTools/src/sqm/Makefile        2011-05-19 22:31:49.000000000 +0300
+@@ -77,7 +77,7 @@
+ install: sqm$(SFX)
+       mv sqm$(SFX) $(BINDIR)
+ 
+-sqm$(SFX): $(SQMOBJ) $(QMOBJ) netlib sys
++sqm$(SFX): $(SQMOBJ) $(QMOBJ) sys
+       $(FC) $(FFLAGS) $(AMBERFFLAGS) -o sqm$(SFX) $(SQMOBJ) $(QMOBJ) \
+               $(FLIBSF) ../lib/sys.a $(LDFLAGS) $(AMBERLDFLAGS)
+ 
+@@ -94,10 +94,10 @@
+ sys:
+       cd ../lib; $(MAKE) sys.a
+ 
+-netlib:
+-      cd ../lapack; $(MAKE) $(LAPACK)
+-      cd ../blas; $(MAKE) $(BLAS)
+-      cd ../arpack && $(MAKE) install
++#netlib:
++#     cd ../lapack; $(MAKE) $(LAPACK)
++#     cd ../blas; $(MAKE) $(BLAS)
++#     cd ../arpack && $(MAKE) install
+ 
+ clean:
+       /bin/rm -f *.o _*.f *.mod *.d sqm$(SFX)
diff --git a/sci-chemistry/ambertools/metadata.xml b/sci-chemistry/ambertools/metadata.xml
new file mode 100644 (file)
index 0000000..20e218e
--- /dev/null
@@ -0,0 +1,10 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+       <herd>sci-chemistry</herd>
+       <maintainer>
+               <email>alexxy@gentoo.org</email>
+               <name>Alexey Shvetsov</name>
+       </maintainer>
+</pkgmetadata>
+